## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global modname toot

Name:           %{modname}
Version:        0.36.0
Release:        1%{?dist}
Summary:        A CLI and TUI tool for interacting with Mastodon

License:        GPLv3
URL:            https://github.com/ihabunek/%{modname}
Source0:        https://github.com/ihabunek/%{modname}/releases/download/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  %{py3_dist pytest} %{py3_dist requests} %{py3_dist wcwidth} %{py3_dist beautifulsoup4}
BuildRequires:  %{py3_dist urwid} %{py3_dist psycopg2}

%description
Toot is a CLI and TUI tool for interacting with Mastodon instances
from the command line.

%prep
%autosetup -n %{modname}-%{version}
rm -rf %{modname}.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%build
%py3_build

%install
%py3_install

%check
%{python3} -m pytest -k 'not test_console'

%files -n %{modname}
%{_bindir}/toot
%{python3_sitelib}/%{modname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{modname}
%license LICENSE

%changelog
* Thu Mar 09 2023 Alessio <alciregi@fedoraproject.org> - 0.36.0-1
- Update to 0.36.0

* Thu Mar 02 2023 Alessio <alciregi@fedoraproject.org> - 0.35.0-1
- Update to 0.35.0

* Tue Feb 21 2023 Alessio <alciregi@fedoraproject.org> - 0.34.1-1
- Update to 0.34.1

* Tue Feb 07 2023 Alessio <alciregi@fedoraproject.org> - 0.34.0-2
- Fix wrong conversion to %%autochangelog

* Fri Feb 03 2023 Alessio <alciregi@fedoraproject.org> - 0.34.0-1
- Update to 0.34.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.33.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 14 2023 Alessio <alciregi@fedoraproject.org> - 0.33.1-2
- Update to 0.33.1

* Sat Jan 14 2023 Alessio <alciregi@fedoraproject.org> - 0.33.1-1
- Update to 0.33.1

* Mon Jan 02 2023 Alessio <alciregi@fedoraproject.org> - 0.33.0-1
- Update to 0.33.0

* Mon Dec 12 2022 alciregi <alciregi@fedoraproject.org> - 0.32.1-1
- Update to 0.32.1

* Fri Dec 09 2022 Alessio <alciregi@fedoraproject.org> - 0.31.0-1
- iUpdate to 0.31.0

* Tue Nov 29 2022 Alessio <alciregi@fedoraproject.org> - 0.30.0-1
- Update to 0.30.0

* Mon Nov 21 2022 Alessio <alciregi@fedoraproject.org> - 0.29.0-2
- Added BuildRequires python3-urwid for python tests

* Mon Nov 21 2022 Alessio <alciregi@fedoraproject.org> - 0.29.0-1
- Update to 0.29.0

* Mon Nov 21 2022 Alessio <alciregi@fedoraproject.org> - 0.28.1-3
- Update to 0.29.0

* Mon Nov 14 2022 Alessio <alciregi@fedoraproject.org> - 0.28.1-2
- Disabled test_console

* Mon Nov 14 2022 Alessio <alciregi@fedoraproject.org> - 0.28.1-1
- Update to 2.8.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.28.0-4
- Rebuilt for Python 3.11

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Alessio <alciregi@fedoraproject.org> - 0.28.0-2
- New sources

* Fri Dec 10 2021 Alessio <alciregi@fedoraproject.org> - 0.28.0-1
- New release 0.28.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.27.0-5
- Rebuilt for Python 3.10

* Mon Apr 19 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.27.0-4
- BuildRequire setuptools explicitly

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Sep 25 2020 alessio <alessio@fedoraproject.org> - 0.27.0-2
- Update README

* Fri Sep 25 2020 alessio <alessio@fedoraproject.org> - 0.27.0-1
- Initial import (#1871123).
